Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82295 - transfig produces unusable makefiles (easy fix included)
Summary: transfig produces unusable makefiles (easy fix included)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: transfig
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 01:50 UTC by Dan Scholnik
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-30 21:28:27 UTC


Attachments (Terms of Use)

Description Dan Scholnik 2003-01-21 01:50:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
using transfig-3.2.3d-8, the following line:
"transfig -M PSmakefile -L pstex myfig.fig"
produces a PSmakefile that is inconsistent.  It will have a line like
"myfig.tex: myfig.eps PSmakefile"
that depends on a corresponding .eps file, but there is no rule that tells how
to make the .eps file.  Instead there is the rule
"myfig.ps: myfig.fig PSmakefile"
to make a .ps file.  This is actually, as best as I can tell, a longstanding
"feature" in transfig, and previous versions seemed to work around it by having
rules to make both .ps and .eps versions.  The latest version removes the .eps
rule in the patch file transfig-3.2.3d-cleanup.patch, and removing the following
hunk from the patch fixes the problem:

--- transfig.3.2.3d/transfig/mkfile.c.cleanup   2000-12-07 19:26:05.000000000 +0100
+++ transfig.3.2.3d/transfig/mkfile.c   2002-11-18 15:34:51.000000000 +0100
@@ -38,7 +38,7 @@
   argument *a;
   char *i;
   enum language to;
-  int needps, needeps, needpic, needfig;
+  int needps, needeps = 0, needpic, needfig;
   
   fprintf(mk, "#\n# TransFig makefile\n#\n");


I assume someone thought it looked cleaner with only one rule to generate
postscript, but they got the wrong one.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. transfig -M PSmakefile -L pstex myfig.fig
2. make -f PSmakefile myfig.tex
3.
    

Actual Results:  Error that there is no rule to make myfig.eps, needed by myfig.tex

Expected Results:  make should have generated myfig.eps and myfig.tex files

Additional info:

Comment 1 Ngo Than 2004-11-30 21:28:27 UTC
it's already fixed in FC2 and FC3 current release


Note You need to log in before you can comment on or make changes to this bug.